@import "theme-variables";

.chart-title {
  font-size: 20px;
  font-weight: bold;
}

.chart-subtitle {
  font-size: 15px;
  font-weight: bold;
  text-align: center;
}

.chart-subtitle.column
{
  width: 100%;
  text-align:left !important;
}

.chart-error-message {
  font-size: 15px;
  font-style: italic;
}

.chart-path {
  fill: none;
  stroke-width: 1.5;
}

.chart-area {
  stroke-width: 1.5;
}

.listening-rect {
  stroke: grey;
  fill: white;
}

.question-mark {
  cursor: pointer;
  opacity: 0.2;
  transform: scale(0.05);
  -ms-transform: scale(0.05);
  -webkit-transform: scale(0.05);
  &:hover {
    opacity: 0.5;
  }
}

.question-mark-legacy {
  cursor: pointer;
  opacity: 0.2;
  float: right;
  margin-right: 5px;
  border: 3px solid black;
  border-radius: 15px;
  height: 30px;
  width: 30px;
  text-align: center;
  line-height: 22px;
  font-family: monospace;
  font-weight: bold;
  font-size: 27px;
  transform: scale(0.8);
  -ms-transform: scale(0.8);
  -webkit-transform: scale(0.8);
  &:hover {
    opacity: 0.5;
  }
}

.grid-stack-item-content {
  overflow: hidden !important;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
  background: rgba(255, 255, 255, 1);
}

.grid-stack-item-removing {
  opacity: 0.5;
}

.subgrid {
  margin-right: 20px;
}

/* make nested grid have slightly darker bg take almost all space (need some to tell them apart) so items inside can have similar to external size+margin */
.grid-stack > .grid-stack-item.grid-stack-sub-grid > .grid-stack-item-content {
  background: rgba(0, 0, 0, 0.05);
  //inset: 0 2px;
  //overflow: hidden !important;
}
.grid-stack.grid-stack-nested {
  background: none;
  /* background-color: red; */
  /* take entire space */
  position: absolute;
  inset: 0; /* TODO change top: if you have content in nested grid */
}
